package ru.yandex.webmaster3.monitoring.solomon.trigger.actions;

import ru.yandex.webmaster3.core.http.ActionRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * Created by ifilippov5 on 12.06.18.
 */
public class CopyTriggerRequest implements ActionRequest {
    private String sourceTriggerId;
    private String newTriggerId;
    private String name;
    private String action;
    private String category;
    private String dashboardCategory;
    private String durationThreshold;

    @RequestQueryProperty(required = true)
    public void setSourceTriggerId(String sourceTriggerId) {
        this.sourceTriggerId = sourceTriggerId;
    }

    @RequestQueryProperty(required = true)
    public void setNewTriggerId(String newTriggerId) {
        this.newTriggerId = newTriggerId;
    }

    @RequestQueryProperty(required = true)
    public void setName(String name) {
        this.name = name;
    }

    @RequestQueryProperty
    public void setAction(String action) {
        this.action = action;
    }

    @RequestQueryProperty
    public void setCategory(String category) {
        this.category = category;
    }

    @RequestQueryProperty
    public void setDashboardCategory(String dashboardCategory) {
        this.dashboardCategory = dashboardCategory;
    }

    @RequestQueryProperty
    public void setDurationThreshold(String durationThreshold) {
        this.durationThreshold = durationThreshold;
    }

    public String getSourceTriggerId() {
        return sourceTriggerId;
    }

    public String getNewTriggerId() {
        return newTriggerId;
    }

    public String getName() {
        return name;
    }

    public String getAction() {
        return action;
    }

    public String getCategory() {
        return category;
    }

    public String getDashboardCategory() {
        return dashboardCategory;
    }

    public String getDurationThreshold() {
        return durationThreshold;
    }
}